Ubuntu

Activity log for bug #47320

Date Who What changed Old value New value Message
2006-05-29 15:56:15 Stoic Jed bug added bug
2006-05-31 00:20:19 Sebastien Bacher gdm: status Unconfirmed Confirmed
2006-05-31 00:20:19 Sebastien Bacher gdm: assignee desktop-bugs
2006-05-31 00:20:19 Sebastien Bacher gdm: severity Normal Minor
2006-05-31 00:20:19 Sebastien Bacher gdm: statusexplanation Thanks for your bug. I've just tried on a bunch of softwares from init.d and several have that issue, that might be something to change to the lsb-base package
2007-03-28 08:58:02 Tormod Volden gdm: statusexplanation Thanks for your bug. I've just tried on a bunch of softwares from init.d and several have that issue, that might be something to change to the lsb-base package Verified on Feisty that removing --exec makes it work. Additionally, the --oknodo argument to start-stop-daemon makes the script return success even if it did not kill gdm. I guess start-stop-daemon should just ignore the --exec argument when --stop is present? At least not just ignore everything and quit. OTOH if this is expected behavior from start-stop-daemon, many init scripts must be fixed.
2007-03-28 10:52:26 Tormod Volden description Binary package hint: gdm Non-root user trying to stop gdm gets the following: $ /etc/init.d/gdm stop * Stopping GNOME Display Manager... [ ok ] Should there instead be an error message, since gdm is not actually stopped? Using gdm version 2.14.6-0ubuntu2 on Ubuntu Dapper. Binary package hint: gdm Trying to stop gdm gives the following: $ /etc/init.d/gdm stop * Stopping GNOME Display Manager... [ ok ] Should there instead be an error message, since gdm is not actually stopped? Using gdm version 2.14.6-0ubuntu2 on Ubuntu Dapper.
2007-03-28 10:52:26 Tormod Volden title /etc/init.d/gdm stop falsely reports gdm stopped /etc/init.d/gdm stop fails and falsely reports success
2008-11-19 10:52:11 Sebastien Bacher dpkg: assignee desktop-bugs
2008-11-19 10:52:11 Sebastien Bacher dpkg: statusexplanation Verified on Feisty that removing --exec makes it work. Additionally, the --oknodo argument to start-stop-daemon makes the script return success even if it did not kill gdm. I guess start-stop-daemon should just ignore the --exec argument when --stop is present? At least not just ignore everything and quit. OTOH if this is expected behavior from start-stop-daemon, many init scripts must be fixed.
2010-09-16 19:49:34 Mathieu Pillard removed subscriber Mathieu Pillard